#pragma once

#include "character/states/CharacterStateBase.h"

namespace frostbite2D {

class JumpState : public CharacterStateBase {
public:
  JumpState();

  void OnEnter(CharacterStateMachine& machine,
               CharacterStateContext& context,
               CharacterStateId previousState) override;
  void OnUpdate(CharacterStateMachine& machine,
                CharacterStateContext& context) override;
};

} // namespace frostbite2D
